import { r as registerInstance, h, H as Host } from './index-ecdfb761.js';

const DvnFieldDisplayRange = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  render() {
    const { field, value } = this;
    const options = [];
    for (let i = field.min; i <= field.max; i += field.step) {
      options.push(i);
    }
    if (field.inputType === 'stars') {
      return (h(Host, { class: "d-block" }, h("dvn-rating-stars", { disabled: true, options: options, readonly: true, value: value })));
    }
    return (h(Host, { class: "d-block" }, value));
  }
};

export { DvnFieldDisplayRange as dvn_field_display_range };
